%mingw_package

%define pkgname libxslt

Name: %cross_arch-%pkgname
Version: 1.1.14
Release: alt1

%define xmlver 2.6.17

Summary: Library providing XSLT support
Group: System/Libraries
License: MIT
Url: http://xmlsoft.org/

BuildArch: noarch

#Packager: XML Development Team <xml@packages.altlinux.org>
Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source: ftp://xmlsoft.org/XSLT/%pkgname-%version.tar.bz2
Patch1: %pkgname-1.0.20-alt-cflags.patch
Patch2: %pkgname-1.0.21-alt-makefile.patch
Patch3: %pkgname-1.1.14-alt-xml-config-fix.patch
Patch4: %pkgname-1.1.14-alt-mingw-makefile-fixes.patch

Requires: %cross_arch-libxml2 >= %xmlver

BuildPreReq: i386-mingw32msvc-binutils i386-mingw32msvc-gcc-c++
BuildPreReq: i386-mingw32msvc-libiconv-devel i386-mingw32msvc-libxml2-devel
BuildPreReq: i386-mingw32msvc-runtime i386-mingw32msvc-zlib-devel

BuildRequires: %cross_arch-libxml2-devel >= %xmlver

%package devel
Summary: Development environment for XSLT
Group: Development/C
Requires: %name = %version-%release, %cross_arch-libxml2-devel >= %xmlver

%package devel-static
Summary: Static library for XSLT
Group: Development/C
Requires: %name-devel = %version-%release

%description
XSLT library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

This package provides shared library required for run XSLT-based software.

%description devel
XSLT library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

This package provides include files required for software development
with XSLT.

%description devel-static
XSLT library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

This package provides static library required for development of
statically linked programs with XSLT.

%prep
%setup -q -n %pkgname-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
autoreconf -fisv

%build
%configure \
        --prefix=%_archprefix \
        --includedir=%_archincludedir \
        --libdir=%_archlibdir \
        --enable-shared \
        --enable-static \
	--without-python \
	--without-crypto \
	--without-html-dir \
	XML_CONFIG=%_bindir/%cross_arch-xml2-config \
        %cross_env

%__subst 's,-I/usr/include($|\s),,' %pkgname.pc

# SMP-incompatible build.
%make

%install
%make_install install DESTDIR=%buildroot
%__mv %buildroot%_bindir/xslt-config %buildroot%_bindir/%cross_arch-xslt-config
%__rm -fr %buildroot%_bindir/*.exe

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/*.dll

%files devel
%_bindir/%cross_arch-xslt-config
%_archincludedir/*
%_archlibdir/*.dll.a
%_archlibdir/pkgconfig/*
#%%_archdatadir/aclocal/*.m4

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Wed Dec 28 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.1.14-alt1
- build for i386-mingw32msvc target (based on libxslt-1.1.14-alt1)

* Tue Apr 05 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.14-alt1
- New upstream release

* Mon Mar 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.13-alt1
- New upstream release
- Built against Python 2.4

* Sun Jan 02 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.12-alt2
- Corrected documentation filelist
- Corrected required libxml version

* Sun Oct 31 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.12-alt1
- New upstream release

* Fri Oct 01 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.11-alt1
- New upstream release

* Mon Sep 20 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.10-alt1
- New upstream release
- buildreq

* Tue Aug 24 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.9-alt1
- New upstream release
- Grouped xsltproc under 'Text tools'

* Thu Jul 15 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.8-alt2
- Python package renamed to comply with the New Policy

* Thu Jul 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.8-alt1
- New upstream release

* Mon Apr 19 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.6-alt1
- New upstream release

* Sat Apr 03 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.5-alt1
- New upstream release

* Tue Feb 24 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.4-alt1
- New upstream release
- Built with python 2.3

* Wed Dec 31 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.2-alt1
- New upstream release
- Happy New Year :)

* Thu Dec 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.1-alt1
- New upstream release

* Fri Nov 28 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.0-alt2
- Do not package .la files.

* Mon Nov 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.0-alt1
- Upstream release 1.1.0

* Tue Sep 16 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.33-alt1
- Upstream release 1.0.33
- Patch0 has gone upstream

* Mon Aug 18 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.32-alt1
- New version
- Fix Bugzilla bug #114563 [Patch0]
- Do not let compiled example files in the filelist

* Sat Jul 12 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.31-alt1
- New version
- Patch0 has gone upstream

* Wed May 14 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.30-alt2
- Update from CVS fixing a few segfault bugs [Patch0]

* Mon May 05 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.30-alt1
- New version

* Sat Apr 05 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.29-alt1
- 1.0.29

* Fri Jan 17 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.24-alt2
- Removed ChangeLog that was included along with ChangeLog.bz2

* Thu Jan 16 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.24-alt1
- 1.0.24

* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.23-alt1
- 1.0.23

* Sun Nov 03 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.22-alt1
- 1.0.22

* Wed Oct 09 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.21-alt2
- rebuild with libxml2 2.4.24

* Mon Oct 07 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.21-alt1
- 1.0.21
- Fixed doc installation.

* Thu Sep 26 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.20-alt2
- Fixed pkgconfig file to exclude -I/usr/include
- Fixed xsltConf.sh to include libxml cflags
- Disabled static build by default

* Thu Sep 12 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.20-alt1
- 1.0.20
- patches are gone

* Tue Aug 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.19-alt2
- Fix for docbook users

* Thu Jul 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.19-alt1
- 1.0.19
- Fixed installation of HTML docs

* Wed Jun 12 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.18-alt1
- 1.0.18

* Sat May 04 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.17-alt1
- 1.0.17
- Separated xsltproc from the lib
- libxslt-devel-static shall NOT require libxml-devel-static
- Repackaged docs again: .py files should not be compiled,
  ugly renaming also not good
- make check

* Sat Apr 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.16-alt1
- 1.0.16

* Tue Mar 19 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.14-alt1
- 1.0.14

* Tue Feb 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.12-alt1
- 1.0.12

* Mon Feb 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.11-alt1
- 1.0.11
- Added python subpackage.

* Wed Jan 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.10-alt1
- 1.0.10

* Tue Nov 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.0.8-alt1
- 1.0.8

* Mon Nov 12 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.0.7-alt1
- 1.0.7

* Mon Nov 05 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.0.6-alt1
- 1.0.6

* Fri Oct 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Thu Sep 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Mon Aug 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Thu Jul 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Wed Jul 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Thu Jul 05 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.13.0-alt1
- 0.13.0

* Mon Jun 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.12.0-alt1
- 0.12.0

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.11.0-alt1
- 0.11.0

* Tue May 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.10.0-alt1
- 0.10.0
- Moved static library to devel-static subpackage.

* Sat May 05 2001 Rider <rider@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Mon Jan 22 2001 Daniel.Veillard <Daniel.Veillard@imag.fr>
- created based on libxml2 spec file
